package com.huimv.eartag2.common.utils;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class BizConst {
    //所有设备注册信息都要加入缓存
    public final static String DEVICE_REGISTER_PREFIX = "device_register_";

    //在线设备统计信息加入缓存
    public final static String DEVICE_ONLINE_PREFIX = "device_online_";

    //牧场所有采集器设备编号集合+牧场id（Set）
    public final static String SET_FARM_DEVICE_ALL_PREFIX = "farm_device_all_";

    //牧场在线采集器设备编号集合+牧场id（Set）
    public final static String SET_FARM_DEVICE_ONLINE_PREFIX = "set_farm_device_online_";

    //牧场所有耳标编号集合+牧场id（Set）
//    public final static String SET_FARM_EARMARK_ALL_PREFIX = "farm_eartag_all_";

    //耳标注册缓存
    public final static String EARTAG_REGISTER_PREFIX = "eartag_register_";

    //在线耳标统计信息加入缓存
    public final static String EARTAG_ONLINE_PREFIX = "eartag_online_";

    //牧场在线耳标编号集合+牧场id（Set）
    public final static String SET_FARM_EARMARK_ONLINE_PREFIX = "set_farm_eartag_online_";

    //牧场总状态表+牧场id
    public final static String FARM_ALL_STATUS_PREFIX = "farm_all_status_";

    public final static Integer CODE_DEVICE_ONLINE_NO_EXIST = 10001;
    public final static String MSG_DEVICE_ONLINE_NO_EXIST = "今天无在线设备.";

    public final static Integer CODE_DEVICE_REGISTER_NO_EXIST = 10002;
    public final static String MSG_DEVICE_REGISTER_NO_EXIST = "该设备的注册信息不存在.";

    public final static Integer CODE_DEVICE_EARTAG_COUNT_NO_EXIST = 10003;
    public final static String MSG_DEVICE_EARTAG_COUNT_NO_EXIST = "该设备下暂无任何耳标上传数据.";

    public final static Integer CODE_EARTAG_REGISTER_NO_EXIST = 10004;
    public final static String MSG_EARTAG_REGISTER_NO_EXIST = "该耳标暂无任何注册信息.";

    public final static Integer CODE_EARTAG_FLOW_NO_EXIST = 10005;
    public final static String MSG_EARTAG_FLOW_NO_EXIST = "该耳标当天暂无流水信息.";

    public final static Integer CODE_EARTAG_ONLINE_NO_EXIST = 10006;
    public final static String MSG_EARTAG_ONLINE_NO_EXIST = "该耳标暂无在线统计信息.";

    public final static Integer CODE_ENVTEMP_FLOW_NO_EXIST = 10007;
    public final static String MSG_ENVTEMP_FLOW_NO_EXIST = "该耳标暂无在线统计信息.";
}
